#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetLCDString.h>
#include <GetRemoteControllerGravity.h>
#include <SetLCD8Char.h>

int main(void)
{
    X2RCU_Init();
    int var0 = 0;
    SetLCDBack(1);
    SetLCDString(0, 0, "Remote Controller", YELLOW, BLACK);
    SetLCDString(0, 16, "Gravity", YELLOW, BLACK);
    SetLCDString(0, 32, "gx", YELLOW, BLACK);
    SetLCDString(0, 48, "gy", YELLOW, BLACK);
    SetLCDString(0, 64, "gz", YELLOW, BLACK);
    while (1)
    {
        var0 = GetRemoteControllerGravity(1);
        SetLCD8Char(24, 32, var0, YELLOW, BLACK);
        var0 = GetRemoteControllerGravity(2);
        SetLCD8Char(24, 48, var0, YELLOW, BLACK);
        var0 = GetRemoteControllerGravity(3);
        SetLCD8Char(24, 64, var0, YELLOW, BLACK);
    }
    return 1;
}

